Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Namespaces | Macros
findseam.cpp File Reference
`#include "findseam.h"`
`#include "gradechop.h"`
`#include "olutil.h"`
`#include "plotedges.h"`
`#include "outlines.h"`
`#include "freelist.h"`
`#include "seam.h"`
`#include "wordrec.h"`

Go to the source code of this file.

## Namespaces

namespace | tesseract

## Macros

#define | SPLIT_CLOSENESS 20/* Difference in x value */
#define | MAX_NUM_SEAMS 150
#define | MAX_OLD_SEAMS 150
#define | NO_FULL_PRIORITY -1/* Special marker for pri. */
#define | BAD_PRIORITY 9999.0
#define | add_seam_to_queue(seams, seam, priority)
#define | best_seam_priority(seam_queue)
#define | create_seam_queue(seam_queue) (seam_queue = MakeHeap (MAX_NUM_SEAMS))
#define | create_seam_pile(seam_pile) (seam_pile = array_new (MAX_OLD_SEAMS))
#define | delete_seam_queue(seam_queue)
#define | pop_next_seam(seams, seam, priority) (HeapPop (seams,&priority,&seam) == TESS_HEAP_OK) \
#define | seam_queue_element(seam_queue, index)

## Macro Definition Documentation

#define add_seam_to_queue | ( |  | seams,
|  |  | seam,
|  |  | priority
| ) |  |

Value:
if (seam)\
{\
if (HeapFull(seams))\
junk_worst_seam(seams,seam,priority);\
else\
HeapPush (seams, priority, (char*) seam);\
}

Definition at line 64 of file findseam.cpp.

#define BAD_PRIORITY 9999.0

Definition at line 52 of file findseam.cpp.

#define best_seam_priority | ( |  | seam_queue | ) |

Value:
(HeapEmpty (seam_queue) ? \
NO_FULL_PRIORITY : \
((SEAM*) seam_queue_element(seam_queue, 0))->priority)

Definition at line 79 of file findseam.cpp.

#define create_seam_pile | ( |  | seam_pile | ) | (seam_pile = array_new (MAX_OLD_SEAMS))

Definition at line 99 of file findseam.cpp.

#define create_seam_queue | ( |  | seam_queue | ) | (seam_queue = MakeHeap (MAX_NUM_SEAMS))

Definition at line 90 of file findseam.cpp.

#define delete_seam_queue | ( |  | seam_queue | ) |

Value:
(FreeHeapData (seam_queue, delete_seam), \
seam_queue = NULL) \

Definition at line 109 of file findseam.cpp.

#define MAX_NUM_SEAMS 150

Definition at line 47 of file findseam.cpp.

#define MAX_OLD_SEAMS 150

Definition at line 49 of file findseam.cpp.

#define NO_FULL_PRIORITY -1/* Special marker for pri. */

Definition at line 50 of file findseam.cpp.

#define pop_next_seam | ( |  | seams,
|  |  | seam,
|  |  | priority
| ) |  | (HeapPop (seams,&priority,&seam) == TESS_HEAP_OK) \

Definition at line 122 of file findseam.cpp.

#define seam_queue_element | ( |  | seam_queue,
|  |  | index
| ) |  |

Value:
((index < SizeOfHeap (seam_queue)) ? \
HeapDataFor (seam_queue, index) : \
NULL) \

Definition at line 132 of file findseam.cpp.

#define SPLIT_CLOSENESS 20/* Difference in x value */

Definition at line 45 of file findseam.cpp.